Bug 562154 - EWP is not discovered
EWP is not discovered
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.4.0.B01
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Sunil Kondkar
: SubBug
Depends On:
Blocks: rhq_triage jon24-ewp
  Show dependency treegraph
 
Reported: 2010-02-05 08:02 EST by Jaroslaw Kijanowski
Modified: 2013-08-05 20:36 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Kijanowski 2010-02-05 08:02:22 EST
Description of problem:

JON-2.3.1 with the jon-plugin-pack-eap-2.3.0.GA doesn't discover EWP CR1

EWP's JMX values:
VersionName: EWP
VersionNumber: 5.0.0.GA
Version: 5.0.0.GA (build: SVNTag=JBPAPP_5_0_0_GA date=201001282234)

Agent log:
2010-02-05 07:17:28,267 INFO [main] (org.rhq.core.pc.PluginContainer)- Initializing Plugin Container v1.3.0.GA...
2010-02-05 07:17:32,803 INFO [main] (rhq.core.pc.inventory.InventoryManager)- Initializing Inventory Manager...
2010-02-05 07:17:32,834 INFO [main] (rhq.core.pc.inventory.InventoryManager)- Detected new Platform [Resource[id=0, type=Linux, key=soa1.qa.atl2.redhat.com, name=soa1.qa.atl2.redhat.com, parent=<null>, version=Linux 2.6.9-89.0.7.ELsmp]] - adding to local inventory...
2010-02-05 07:17:32,842 INFO [main] (rhq.core.pc.inventory.InventoryManager)- Inventory Manager initialized.
2010-02-05 07:17:32,850 INFO [main] (rhq.core.pc.inventory.ResourceFactoryManager)- Initializing
2010-02-05 07:17:32,851 INFO [main] (rhq.core.pc.content.ContentManager)- Initializing Content Manager...
2010-02-05 07:17:32,851 INFO [main] (rhq.core.pc.content.ContentManager)- Initializing scheduled content discovery...
2010-02-05 07:17:32,853 INFO [main] (rhq.core.pc.content.ContentManager)- Content Manager initialized...
2010-02-05 07:17:32,854 INFO [main] (org.rhq.core.pc.PluginContainer)- Plugin Container initialized.
2010-02-05 07:17:32,857 INFO [RHQ Primary Server Switchover Thread] (org.rhq.enterprise.agent.AgentMain)- {PrimaryServerSwitchoverThread.started}The primary server switchover thread has started.
2010-02-05 07:17:42,845 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Executing server discovery scan...
2010-02-05 07:17:42,960 INFO [ResourceDiscoveryComponent.invoker.daemon-1] (org.rhq.plugins.agent.AgentDiscoveryComponent)- Discovering RHQ Agent...
2010-02-05 07:17:42,979 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Detected new Server [Resource[id=0, type=RHQ Agent, key=soa1.qa.atl2.redhat.com RHQ Agent, name=soa1.qa.atl2.redhat.com RHQ Agent, parent=<null>, version=1.3.0.GA]] - adding to local inventory...
2010-02-05 07:17:42,997 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Process scan auto-detected new server resource: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.jboss.Main|match=.*], name=[jbossas]], discovered-process=[process: pid=[26639], name=[/qa/tools/opt/jdk1.6.0_15/bin/java], ppid=[26629]]
2010-02-05 07:17:42,997 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Process scan auto-detected new server resource: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.jboss.Main|match=.*], name=[jbossas]], discovered-process=[process: pid=[27812], name=[/qa/tools/opt/jdk1.6.0_15/bin/java], ppid=[27771]]
2010-02-05 07:17:43,053 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Process scan auto-detected new server resource: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.jboss.Main|match=.*], name=[JBoss4]], discovered-process=[process: pid=[26639], name=[/qa/tools/opt/jdk1.6.0_15/bin/java], ppid=[26629]]
2010-02-05 07:17:43,053 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Process scan auto-detected new server resource: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.jboss.Main|match=.*], name=[JBoss4]], discovered-process=[process: pid=[27812], name=[/qa/tools/opt/jdk1.6.0_15/bin/java], ppid=[27771]]
2010-02-05 07:17:43,156 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Detected new Server [Resource[id=0, type=JBossAS Server, key=/qa/services/hudson/jkijanow/EWP/jon-server-2.3.1-8436/jbossas/server/default, name=soa1.qa.atl2.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099), parent=<null>, version=4.2.3.GA]] - adding to local inventory...
2010-02-05 07:17:43,201 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Sending [server] inventory report to Server...
2010-02-05 07:17:43,590 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Syncing local inventory with Server inventory...
2010-02-05 07:17:43,597 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Found 1 servers.
2010-02-05 07:17:48,600 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.RuntimeDiscoveryExecutor)- Running runtime discovery scan rooted at [platform]
2010-02-05 07:17:48,600 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.RuntimeDiscoveryExecutor)- Scanned [0] servers and found [0] total descendant Resources.
2010-02-05 07:17:48,600 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Sending [runtime] inventory report to Server...
2010-02-05 07:17:48,614 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Syncing local inventory with Server inventory...
2010-02-05 07:17:52,844 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.RuntimeDiscoveryExecutor)- Running runtime discovery scan rooted at [platform]
2010-02-05 07:17:52,845 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.RuntimeDiscoveryExecutor)- Scanned [0] servers and found [0] total descendant Resources.
2010-02-05 07:17:52,845 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Sending [runtime] inventory report to Server...
2010-02-05 07:17:52,858 INFO [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Syncing local inventory with Server inventory... 



Version-Release number of selected component (if applicable):
JON-2.3.1-8436
jon-plugin-pack-eap-2.3.0.GA
EWP 5.0.0 CR1 (http://porkchop.devel.redhat.com/devel/candidates/JBEWP/CR1/jboss-ewp-5.0.0.GA.zip)

How reproducible:
100%

Steps to Reproduce:
1. Install JON server with eap plugins
2. Start EWP
3. Start JON Agent
  
Actual results:
EWP is not discovered

Expected results:
EWP is discovered

Additional info:
Comment 1 wes hayutin 2010-02-16 11:59:18 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:04:17 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 John Sanda 2010-04-28 23:45:05 EDT
I installed JON 2.3.1 with the EAP plugin pack, and I downloaded EWP. I was able to reproduce the issue. I then tried with the latest (or near latest) code in the master branch, and I was able to discover the EWP server. Whatever the issue was it appears to have been fixed since the 2.3.1 release.

Moving to ON_QA for QE sign off.
Comment 5 John Sanda 2010-04-29 11:07:36 EDT
If EWP and the agent were/are running under different user accounts then there is a chance that discovery could fail due to a low level bug in the sigar library that we use for platform-specific functionality such as process scans. See 584824 for a similar discovery-related issue that turned out to be a result of the sigar issue.
Comment 6 Charles Crouch 2010-05-03 16:53:15 EDT
"If EWP and the agent were/are running under different user accounts then there
is a chance that discovery could fail due to a low level bug in the sigar
library that we use for platform-specific functionality such as process scans."

Its not really a sigar problem, more an underlying OS restriction that some of our plugins cannnot/do not workaround:
https://bugzilla.redhat.com/show_bug.cgi?id=534850
Comment 7 Ian Springer 2010-05-04 12:24:57 EDT
This was caused because the as5 plugin discovery was filtering out EWP, because it had an unrecognized Implementation-Title attribute in its run.jar MANIFEST.MF. It is fixed by git revs f988b4721041aefe74cff16ee0d0f5e6475cdf39 and d07e040c976d1493d4c5fae7cf70e76ed8c35273, which touched two classes - org.rhq.plugins.jbossas5.helper.JBossProductType and org.rhq.plugins.jbossas5.ApplicationServerDiscoveryComponent.
Comment 8 gneelaka@redhat.com 2010-05-04 12:57:20 EDT
Tested JON#124 Revision :10615

Steps:1) Install Jon server with EAP plugin pack
2)Install the EWP (Version 5.0.0.GA).
3)Start EWP.
4)Start the agent.

observation : EWP is doscovered successfully.
Comment 9 Corey Welton 2010-05-04 13:54:44 EDT
geeta, skondkar:  this needs to be tested against all supported EWP platforms:  Linux, Windows... Solaris, HPUX, AIX?

Moving back to ON_QA for further investigation.
Comment 11 Sunil Kondkar 2010-05-26 08:13:42 EDT
Verified on Jon build#160 (Revision: 10620) for EWP version 5.0.0.GA.

Installed Jon server with eap plugin pack. EWP is discovered successfully on linux, windows, solaris, HPUX and AIX platforms.
Comment 12 Corey Welton 2010-08-12 12:59:41 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.